<?php
/**
 * @author Woosa Team
 */

namespace Woosa\Adyen;


//prevent direct access data leaks
defined( 'ABSPATH' ) || exit;



$visibility_class = array();

if ( ! isset( $field['hide_if_checked'] ) ) {
   $field['hide_if_checked'] = false;
}
if ( ! isset( $field['show_if_checked'] ) ) {
   $field['show_if_checked'] = false;
}
if ( 'yes' === $field['hide_if_checked'] || 'yes' === $field['show_if_checked'] ) {
   $visibility_class[] = 'hidden_option';
}
if ( 'option' === $field['hide_if_checked'] ) {
   $visibility_class[] = 'hide_options_if_checked';
}
if ( 'option' === $field['show_if_checked'] ) {
   $visibility_class[] = 'show_options_if_checked';
}

if ( ! isset( $field['checkboxgroup'] ) || 'start' === $field['checkboxgroup'] ) {
   ?>
      <tr valign="top" class="<?php echo esc_attr( implode( ' ', $visibility_class ) ); ?>">
         <th scope="row" class="titledesc"><?php echo esc_html( $field['title'] ); ?></th>
         <td class="forminp forminp-checkbox">
            <fieldset>
   <?php
} else {
   ?>
      <fieldset class="<?php echo esc_attr( implode( ' ', $visibility_class ) ); ?>">
   <?php
}

if ( ! empty( $field['title'] ) ) {
   ?>
      <legend class="screen-reader-text"><span><?php echo esc_html( $field['title'] ); ?></span></legend>
   <?php
}

?>
   <label for="<?php echo $instance->get_field_id($field['id']); ?>">
      <input type="hidden" name="<?php echo $instance->get_field_name($field['id']); ?>" value="no">
      <input
         name="<?php echo $instance->get_field_name($field['id']); ?>"
         id="<?php echo $instance->get_field_id($field['id']); ?>"
         type="checkbox"
         class="<?php echo esc_attr( isset( $field['class'] ) ? $field['class'] : '' ); ?>"
         value="yes"
         <?php checked( $field['value'], 'yes' ); ?>
         <?php echo $instance->get_field_custom_attributes($field['custom_attributes']); ?>
      /> <?php echo $instance->get_field_description($field); ?>
   </label> <?php echo $instance->get_field_tooltip($field['desc_tip']);?>
<?php

if ( ! isset( $field['checkboxgroup'] ) || 'end' === $field['checkboxgroup'] ) {
   ?>
            </fieldset>
         </td>
      </tr>
   <?php
} else {
   ?>
      </fieldset>
   <?php
}