## Introduction

This module inserts a section in settings which displays some useful tools related to the plugin. Default tools:

* Clear cache

## Installation (via composer)

* **For plugins developed with our [boilerplate](https://gitlab.com/woosa/dev-tools/wp-plugin-starter):**

  * Either run `composer require woosa/tools:version` or add `"woosa/tools": "version"` in the `composer.json` file then run `npm start`

* **For plugins developed without our boilerplate:**

   * replace all occurences of `_wsa_namespace_` with your unique namespace
   * the following constants should be defined in your plugin:
   * `define(__NAMESPACE__ . '\PREFIX', 'your_prefix_here');`

## Usage

How to add a tool to the list:

```php
add_filter(PREFIX . '\tools\list', 'my_custom_tools');

function my_custom_tools($list){

   $list = array_merge($list, [
      [
         'id'          => 'my_tool_id',
         'name'        => __('Tool name', '_wsa_text_domain_'),
         'description' => __('Tool description.', '_wsa_text_domain_'),
         'warning'     => __('A warning message, if necessary.', '_wsa_text_domain_'),
      ]
   ]);

   return $list;
}
```

How to run a tool:

```php
add_filter(PREFIX . '\tools\run_tool', 'run_my_custom_tools');

function run_my_custom_tools($id){

   if('my_tool_id' === $id){
      //run your code here
   }
}
```