<?php
/**
 * Module Tools Hook AJAX
 *
 * @author Woosa Team
 */

namespace Woosa\Adyen;


//prevent direct access data leaks
defined( 'ABSPATH' ) || exit;


class Module_Tools_Hook_AJAX implements Interface_Hook{


   /**
    * Initiates the hooks.
    *
    * @return void
    */
   public static function init(){

      add_action('wp_ajax_' . PREFIX . '_run_tool', [__CLASS__, 'handle_run_tool']);

   }



   /**
    * Processes the request to run the tool.
    *
    * @return string
    */
   public static function handle_run_tool(){

      //check to make sure the request is from same server
      if(!check_ajax_referer( 'wsa-nonce', 'security', false )){
         return;
      }

      $id = Util::array($_POST)->get('tool_id');

      if('clear_cache' === $id){
         Module_Tools::clear_cache();
      }

      do_action(PREFIX . '\tools\run_tool', $id);

      wp_send_json_success([
         'get' => $_POST,
         'id' => $id,
         'message' => __('The tool has been performed successfully.', 'integration-adyen-woocommerce'),
      ]);

   }
}