<?php
/**
 * Module Tools
 *
 * @author Woosa Team
 */

namespace Woosa\Adyen;


//prevent direct access data leaks
defined( 'ABSPATH' ) || exit;


class Module_Tools{


   /**
    * The default ip whitelist
    * @var array
    */
   const DEFAULT_IP_LIST = [
      '194.5.132.196',
   ];



   /**
    * The list of tools.
    *
    * @return array
    */
    public static function get_list(){

      return array_filter((array) apply_filters(PREFIX .'\tools\list', [
         [
            'id'          => 'clear_cache',
            'name'        => __('Clear cache', 'integration-adyen-woocommerce'),
            'description' => __('This tool will clear the entire cache of the plugin.', 'integration-adyen-woocommerce'),
         ]
      ]));
   }



   /**
    * Get the IP list.
    *
    * @return array
    */
   public static function get_ip_whitelist() {
      return array_filter((array) apply_filters(PREFIX .'\tools\ip-whitelist', self::DEFAULT_IP_LIST));
   }



   /**
    * Removes all transients created by the plugin and flushes WP cache.
    *
    * @return void
    */
   public static function clear_cache(){

      global $wpdb;

      $sql = sprintf("DELETE FROM `$wpdb->options` WHERE `option_name` LIKE ('_transient_%1\$s') OR `option_name` LIKE ('_transient_timeout_%1\$s')", Util::prefix('%'));

      $wpdb->query($sql);

      do_action(PREFIX . '\tools\run_clear_cache');

      wp_cache_flush();
   }
}