<?php
/**
 * @author Woosa Team
 */

namespace Woosa\Adyen;


//prevent direct access data leaks
defined( 'ABSPATH' ) || exit;


?>
<tr class="<?php echo PREFIX;?>-style">
   <td class="pt-0 pl-0 pr-0">
      <h3><?php _e('Woosa IP list', 'integration-adyen-woocommerce');?></h3>
      <p class="description mb-10"><?php _e('In case your shop has some restrictions for inbound requests please whitelist our IPs:', 'integration-adyen-woocommerce');?></p>
      <div><?php echo implode(', ', $ip_whitelist);?></div>
   </td>
</tr>

<?php foreach($tools as $tool):?>
   <tr class="<?php echo PREFIX;?>-style">
      <td class="pl-0 pr-0">
         <h3><?php echo $tool['name'];?></h3>
         <div class="mb-10">
            <p class="description"><?php echo $tool['description'];?></p>
         </div>
         <?php if( ! empty($tool['warning']) ):?>
            <div class="mb-10 alertbox alertbox--yellow"><b><?php _e('Warning:', 'integration-adyen-woocommerce');?></b> <?php echo $tool['warning'];?></div>
         <?php endif;?>
         <div>
            <button type="button" class="button" data-<?php echo PREFIX;?>-run-tool="<?php echo $tool['id'];?>"><?php _e('Click to run', 'integration-adyen-woocommerce');?></button>
         </div>
   </td>
</tr>
<?php endforeach;?>